#include <bits/stdc++.h>
using namespace std;

int main()
{
	int t,Ai,Bi,Xi,Yi;
	cin>>t;
	for(int i=0;i<t;i++){
		cin>>Ai>>Bi;
		if(Ai==Xi*Yi && Bi==Xi^Yi)
			cout<<Xi<<" "<<Yi<<endl;
		else cout<<"-1\n";
	}	
	return 0;
}